Bug 9555 - Replication fails in IPv6-only environment due to a trivial bug in dns_ex.c
Replication fails in IPv6-only environment due to a trivial bug in dns_ex.c
Product: Samba 4.0
Classification: Unclassified
Component: Other
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2013-01-11 13:14 UTC by Arvid Requate
Modified: 2013-01-28 19:06 UTC (History)
1 user (show)

See Also:

Patch for reply_to_addrs (297 bytes, patch)
2013-01-11 13:15 UTC, Arvid Requate
no flags Details
git-formated patch (671 bytes, patch)
2013-01-11 13:20 UTC, Arvid Requate
no flags Details
Patch for v4-0-test (801 bytes, patch)
2013-01-14 08:14 UTC, Stefan Metzmacher
abartlet: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate 2013-01-11 13:14:39 UTC
With RC6 replication fails in IPv6-only environments. As a result a second DC does not obtain a RID pool after the join process completed. samba-tool drs showrepl shows replication errors in this case (WERR_BADFILE IIRC).

This is due to a trivial bug introduced during the major rework of dns_ex.c in commit c54fe86a63f73543eaf9b031e146d5f647c05830, which makes reply_to_addrs not count successful lookups of QTYPE_AAAA. The corresponding code is still present in 4.0.0.
Comment 1 Arvid Requate 2013-01-11 13:15:34 UTC
Created attachment 8409 [details]
Patch for reply_to_addrs
Comment 2 Arvid Requate 2013-01-11 13:20:17 UTC
Created attachment 8410 [details]
git-formated patch
Comment 3 Stefan Metzmacher 2013-01-14 08:09:50 UTC
Pushed to master as bdc172aca541046fd03b2b0cd69e054fe03d3a89
Comment 4 Stefan Metzmacher 2013-01-14 08:14:05 UTC
Created attachment 8423 [details]
Patch for v4-0-test
Comment 5 Stefan Metzmacher 2013-01-27 13:07:39 UTC
Andrew, can I get a review+?
Comment 6 Karolin Seeger 2013-01-28 10:12:55 UTC
Pushed to autobuild-v4-0-test.
Comment 7 Karolin Seeger 2013-01-28 19:06:23 UTC
Pushed to v4-0-test.
Closing out bug report.